com.dlsc.flexgantt.swing.layer.system

## Interface ISpreadsheetCellEditor

- All Superinterfaces:
    CellEditor
  All Known Implementing Classes:
    DefaultSpreadsheetCellEditor

      public interface ISpreadsheetCellEditor
      extends CellEditor

  Spreadsheet cell editors return components that can be used to edit spreadsheet values.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    `SpreadsheetLayer.setCellEditor(Class, ISpreadsheetCellEditor)`, `IGanttChartModel.getSpreadsheetValue(com.dlsc.flexgantt.model.gantt.ISpreadsheet, Object, ITimeSpan)`, `IGanttChartModel.getSpreadsheetValueType(com.dlsc.flexgantt.model.gantt.ISpreadsheet, Object, ITimeSpan)`, `DefaultGanttChartModel.setSpreadsheetValue(com.dlsc.flexgantt.model.gantt.IGanttChartNode, com.dlsc.flexgantt.model.gantt.ISpreadsheet, ITimeSpan, Object)`, `ISpreadsheetEditPolicy`, `DefaultChangeSpreadsheetValueCommand`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getSpreadsheetCellEditorComponent(SpreadsheetLayer spreadsheet, Object value, int row, ITimeSpan span)` Returns a component for editing the spreadsheet cell at the given row and time span.

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- - ### Method Detail

    - #### getSpreadsheetCellEditorComponent

          Component getSpreadsheetCellEditorComponent(SpreadsheetLayer spreadsheet,
                                                      Object value,
                                                      int row,
                                                      ITimeSpan span)

      Returns a component for editing the spreadsheet cell at the given row and time span.
      Parameters:
        `spreadsheet` - the spreadsheet component that requests the cell editor
        `value` - the current value of the cell
        `row` - the row in which the cell is located
        `span` - the time span of the cell
      Returns:
        a component that will be added to the spreadsheet for editing purposes
      Since:
        2.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.